Package org.drinkless.tdlib

# Class TdApi.ValidatedOrderInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ValidatedOrderInfo

Enclosing class:
  `TdApi`

public static class TdApi.ValidatedOrderInfo extends TdApi.Object
Contains a temporary identifier of validated order information, which is stored for one hour, and the available shipping options.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `orderInfoId`
  Temporary identifier of the order information.
  `TdApi.ShippingOption[]`
  `shippingOptions`
  Available shipping options.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidatedOrderInfo()`
  Contains a temporary identifier of validated order information, which is stored for one hour, and the available shipping options.
  `ValidatedOrderInfo(String orderInfoId, TdApi.ShippingOption[] shippingOptions)`
  Contains a temporary identifier of validated order information, which is stored for one hour, and the available shipping options.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### orderInfoId

    public String orderInfoId
    Temporary identifier of the order information.

  - ### shippingOptions

    public TdApi.ShippingOption[] shippingOptions
    Available shipping options.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ValidatedOrderInfo

    public ValidatedOrderInfo()
    Contains a temporary identifier of validated order information, which is stored for one hour, and the available shipping options.

  - ### ValidatedOrderInfo

    public ValidatedOrderInfo(String orderInfoId, TdApi.ShippingOption[] shippingOptions)
    Contains a temporary identifier of validated order information, which is stored for one hour, and the available shipping options.
    Parameters:
      `orderInfoId` - Temporary identifier of the order information.
      `shippingOptions` - Available shipping options.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR